Katello - Bug #4578

(nightlies 3-6-14) on system details page, link to susbscription is link to .name and not .uuid or
something

03/06/2014 05:28 PM - Erik Jacobs

Status: Closed

Priority: Normal

Assignee:

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

For example:

hosts -> all registered systems -> systemsomething.foo -> subscriptions

Link is:
https://satellite.ejacobs.local/katello/systems#/subscriptions/Red%20Hat%20Enterprise %20Linux%20Server%2C%20Premium%20(
Physical%200r%20Virtual%20Nodes)/info

That link is invalid.

If you go to the subscriptions area:
content -> red hat subscriptions -> click on subscription

Link is:
https://satellite.ejacobs.local/katello/subscriptions#/subscriptions/4028fb82449820eb014498384da40085/info

History

#1 - 03/10/2014 06:15 PM - Erik Jacobs

Still present:
foreman-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
foreman-postgresql-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch
foreman-release-1.5.0-0.develop.201403071828gite4d8817.el6.noarch
katello-1.5.0-14.201403071827gitObda7{5.el6.noarch
katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.el6.noarch
katello-installer-0.0.19-1.201403072013gita7ceec1.el6.noarch
katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch
pulp-katello-plugins-0.2-1.el6.noarch
ruby193-rubygem-foreman-tasks-0.3.5-1.el6.noarch
ruby193-rubygem-katello-1.5.0-10.201403071827git0Obda7f5.el6.noarch
rubygem-foreman_api-0.1.11-1.el6.noarch
rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch
rubygem-hammer_cli_katello-0.0.3-1.el6.noarch
rubygem-katello_api-0.0.8-1.el6.noarch

#2 - 06/04/2014 12:55 AM - Eric Helms
- Status changed from New to Closed

- Triaged set to Yes

Tested locally and the links for subscriptions point to the right locations now.

#3 - 08/21/2014 02:29 PM - Eric Helms
https://satellite.ejacobs.local/katello/systems#/subscriptions/Red%20Hat%20Enterprise%20Linux%20Server%2C%20Premium%20(Physical%20or%20Virtual%20Nodes)/info
https://satellite.ejacobs.local/katello/systems#/subscriptions/Red%20Hat%20Enterprise%20Linux%20Server%2C%20Premium%20(Physical%20or%20Virtual%20Nodes)/info
https://satellite.ejacobs.local/katello/subscriptions#/subscriptions/4028fb82449820eb014498384da40085/info

- translation missing: en.field_release set to 13
